#!/bin/bash
zenity --info --text "This script will help you in packing a PND\nBefore continue, be sure to have the following:\n\n1) A program you want to put in a PND.\n2) A PXML file for the PND.\n3) An icon for the PND (png format).\n\n(There are other things to check such as file permissions or screenshots to include)."
profolder=$(zenity --file-selection --directory --title="Choose the program folder")
if [ -z "$profolder"];then
zenity --info --text "Error: Program folder wasn't set."
exit
fi
pndname=$(zenity --file-selection --save --title="Choose PND name and output folder" --filename=$profolder/)
if [ -z "$pndname"];then
zenity --info --text "Error: PND name wasn't set"
exit
fi
pxml=$(zenity --file-selection --title="Choose the PXML.xml file" --filename=$profolder/)
if [ -z "$pxml"];then
zenity --info --text "Error: No PXML file found."
exit
fi
icon=$(zenity --file-selection --title="Choose PND icon" --filename=$profolder/)
if [ -z "$icon"];then
zenity --info --text "Error: No icon found."
exit
fi
gksudo chmod -R 777 $profolder
(/usr/pandora/scripts/pnd_make.sh -d $profolder -p $pndname -x $pxml -i $icon -c)|zenity --progress --text "Building PND..." --pulsate