#!/bin/bash

export LD_LIBRARY_PATH=./lib

if [ ! -e "./cars" ]; then
mkdir cars
tar xzf ./backup/cars.tar.gz
fi
if [ ! -e "./config" ]; then
mkdir config
tar xzf ./backup/config.tar.gz
fi
if [ ! -e "./data" ]; then
mkdir data
tar xzf ./backup/data.tar.gz
fi
if [ ! -e "./replays" ]; then
mkdir replays
tar xzf ./backup/replays.tar.gz
fi
if [ ! -e "./tracks" ]; then
mkdir tracks
tar xzf ./backup/tracks.tar.gz
fi
if [ ! -e "./eglport.cfg" ]; then
tar xzf ./backup/eglport.tar.gz
fi

cd ./cars
for file in *
do
  car_list+=("$file")
done
cd ..

cd ./tracks
for file in *
do
  track_list+=("$file")
done
cd ..

cat /proc/pandora/nub1/mode > /tmp/nub1mode_before
cat /proc/pandora/nub0/mode > /tmp/nub0mode_before
/usr/pandora/scripts/op_nubchange.sh absolute absolute

opt=getinthere
while [ "$opt" != "" ]
do
	opt=$(zenity --list --title="Cheap Skunks Launcher" --width=200 --height=250 --text="Car: $car / Track: $track" --column="" "[] Go for a ride!" "[] Choose car" "[] Choose track" "[] Replay theater" "[] Save last ride")
	if [ "$opt" = "[] Choose car" ];then
	car=$(zenity --list --title=" " --width=250 --height=200 --text="Choose car" --column="" "${car_list[@]}")
	fi
        if [ "$opt" = "[] Choose track" ];then
	track=$(zenity --list --title=" " --width=100 --height=200 --text="Choose track" --column="" "${track_list[@]}")
	fi
	if [ "$opt" = "[] Go for a ride!" ];then
	./sk-gl ./cars/"$car" ./tracks/"$track"
	fi
	if [ "$opt" = "[] Replay theater" ];then
	cd replays
	replay=$(zenity --file-selection --title="Choose replay")
	cd ..
	./rep-gl "$replay"
	fi
	if [ "$opt" = "[] Save last ride" ];then
	cd replays
	svreplay=$(zenity --file-selection --save --title="Choose replay to save")
	cd ..
	mv ./replays/rep1 "$svreplay"
	fi
done

nub1mode=`cat /tmp/nub1mode_before`
nub0mode=`cat /tmp/nub0mode_before`
/usr/pandora/scripts/op_nubchange.sh $nub0mode $nub1mode
